Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.effect.water
Class WaterLayer

    java.lang.Object
      de.rico.engine.geometry.AbstractMesh
          de.rico.engine.geometry.MeshDL
              de.rico.engine.effect.water.WaterLayer

    public class WaterLayer

extends MeshDL

This class represents a water layer. This is just a simple quad with two textures on it. The first one should be a texture that is the same as the sky texture of the skybox and the second one should be a texture that represent the water (maybe with some distortions). If both textures get blended together and the water texture gets animated we have a simple water effect.

Author:
  Frank Bruns

Constructor Summary
`WaterLayer(Point3D pos, java.lang.String staticTex, java.lang.String moveableTex, float width, float length, float xMove, float zMove)` Creates the new water layer with the two specified textures.

Method Summary
`float` | `getLength()` Returns the height of the water layer.
`float` | `getWidth()` Returns the width of the water layer.

Methods inherited from class de.rico.engine.geometry.MeshDL
`addFace, destroy, draw, finishModel, getDisplayListId, getFaces, getFacesTransformed, specializedDraw, update`

Methods inherited from class de.rico.engine.geometry.AbstractMesh
`addShader, drawShaders, getBoundingVolume, getHeightOffset, getMaterial, getMouseOverMesh, getName, getPosition, getPosX, getPosY, getPosZ, getRotation, getRotX, getRotY, getRotZ, getScaleX, getScaleY, getScaleZ, getTex0Path, getTex1Path, getText0XMovement, getText0YMovement, getText1XMovement, getText1YMovement, getTexUnit0, getTexUnit1, isCollidable, isDrawingEnabled, isEnabledOcclusionCulling, isMouseOverMesh, isOccluded, isPickable, isShadowEnabled, isSmoothShaded, isTex0Flipped, isTex0MipMapped, isTex0Rotated, isTex1Flipped, isTex1MipMapped, isTex1Rotated, moveBackwardsGlobal, moveBackwardsLocal, moveDownGlobal, moveForwardGlobal, moveForwardLocal, moveLeftGlobal, moveLeftLocal, moveRightGlobal, moveRightLocal, moveTo, moveUpGlobal, performTransformations, rotateDown, rotateLeft, rotateRight, rotateUp, scale, setAttachedGround, setBlendDestFactor, setBlendFunction, setBlendSourceFactor, setCollidable, setDrawingEnabled, setEnabledOcclusionCulling, setEnvironmentMap, setMaterial, setName, setPickable, setPosition, setPosition, setPosX, setPosY, setPosZ, setRotation, setRotation, setRotX, setRotY, setRotZ, setScaleX, setScaleY, setScaleZ, setShadowEnabled, setShowBoundingVolume, setTex0Movement, setTex0TexEnvirMode, setTex0XMovement, setTex0YMovement, setTex1Movement, setTex1TexEnvirMode, setTex1XMovement, setTex1YMovement, setTexUnit0, setTexUnit0, setTexUnit1, setTexUnit1, setTransparency, showWireFrame, translateX, translateY, translateZ`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WaterLayer

    public WaterLayer(Point3D pos,
                      java.lang.String staticTex,
                      java.lang.String moveableTex,
                      float width,
                      float length,
                      float xMove,
                      float zMove)

  Creates the new water layer with the two specified textures. The first texture could be a skybox sky texture, to prentend reflection of the sky. The second one could be a water texture (maybe with distortions on it. Both textures get blended together. You can create a water animation by setting the x and z movement values.

  Parameters:
    `pos` - position of the water layer
    `staticTex` - path to texture that will be static
    `moveableTex` - path to texture that can be moved
    `width` - width of the water layer
    `length` - length of the water layer
    `xMove` - movement factor in x direction
    `zMove` - movement factor in z direction

Method Detail

### getWidth

    public float getWidth()

  Returns the width of the water layer.

  Returns:
    widht of the water layer

### getLength

    public float getLength()

  Returns the height of the water layer.

  Returns:
    height of the water layer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD